(** Produce a default profile for a sequence, useful when psi-blast
    gets no hits *)

open Sequence
open Matrices

let _ = begin 
  let seqfile = Sys.argv.(1) in
  let fastas,_ = read_fasta seqfile in
  let seqaa = fastas.(0) in
  let len = String.length seqaa in
  let seq = aa2idx seqaa in
  let pssm = Array.map (fun i->blosum62.(i)) seq in
  let psfm = Array.map (fun i->blosum62_freq.(i)) seq in
  let ipp = Array.make len 1.0 in
  let relwgt = Array.make len 1.0 in
  let prof = {len=len; sequence=seq; seqaa=seqaa;
	      pssm=pssm; psfm=psfm; ipp=ipp; relwgt=relwgt} in
  let pfile = (Util.basename seqfile)^".profile" in
  Sequence.write_profile pfile prof;
end
